Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.compaction
Interface CompactionManagerMBean

All Known Implementing Classes:
  CompactionManager

    public interface CompactionManagerMBean

Method Summary
`void` | `forceUserDefinedCompaction(java.lang.String ksname, java.lang.String dataFiles)` Triggers the compaction of user specified sstables.
`java.util.List<java.util.Map<java.lang.String,java.lang.String>>` | `getCompactions()` List of running compaction objects.
`java.util.List<java.lang.String>` | `getCompactionSummary()` List of running compaction summary strings.
`long` | `getCompletedTasks()`
`int` | `getPendingTasks()`
`long` | `getTotalBytesCompacted()`
`long` | `getTotalCompactionsCompleted()`
`void` | `stopCompaction(java.lang.String type)` Stop all running compaction-like tasks having the provided `type`.

Method Detail

### getCompactions

    java.util.List<java.util.Map<java.lang.String,java.lang.String>> getCompactions()

  List of running compaction objects.

### getCompactionSummary

    java.util.List<java.lang.String> getCompactionSummary()

  List of running compaction summary strings.

### getPendingTasks

    int getPendingTasks()

  Returns:
    estimated number of compactions remaining to perform

### getCompletedTasks

    long getCompletedTasks()

  Returns:
    number of completed compactions since server [re]start

### getTotalBytesCompacted

    long getTotalBytesCompacted()

  Returns:
    total number of bytes compacted since server [re]start

### getTotalCompactionsCompleted

    long getTotalCompactionsCompleted()

  Returns:
    total number of compactions since server [re]start

### forceUserDefinedCompaction

    void forceUserDefinedCompaction(java.lang.String ksname,
                                    java.lang.String dataFiles)

  Triggers the compaction of user specified sstables.

  Parameters:
    `ksname` - the keyspace for the sstables to compact
    `dataFiles` - a comma separated list of sstable filename to compact

### stopCompaction

    void stopCompaction(java.lang.String type)

  Stop all running compaction-like tasks having the provided `type`.

  Parameters:
    `type` - the type of compaction to stop. Can be one of: - COMPACTION - VALIDATION - CLEANUP - SCRUB - INDEX_BUILD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation